Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class AnimatedTestResource

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.ajax4jsf.resource.Java2Dresource
                      org.richfaces.resource.TestResource2
                          org.richfaces.resource.AnimatedTestResource

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource, org.richfaces.resource.VersionedResource

    public class AnimatedTestResource

extends TestResource2

Field Summary

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`AnimatedTestResource()`

Method Summary
`java.lang.String` | `getContentType()`
`java.io.InputStream` | `getInputStream()`

Methods inherited from class org.richfaces.resource.TestResource2
`getColor, getDimension, getEntityTag, getVersion, paint, readState, setColor, writeState`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`decodeColor, encodeSkinParameter, getColorValueParameter, getHeight, getValueParameter, isTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnimatedTestResource

    public AnimatedTestResource()

Method Detail

### getContentType

    public java.lang.String getContentType()

  Overrides:
    `getContentType` in class `Java2Dresource`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `Java2Dresource`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.